/* =========================================================
DATAMIND FOOTER
========================================================= */

.dm-footer {


  background: var(--color-bg-light);

  border-top: 1px solid var(--color-border);

  padding: 80px 0 30px;


}

/* =========================================================
FOOTER GRID
========================================================= */

.dm-footer-grid {


  display: grid;

  grid-template-columns:
      2fr
      1fr
      1fr
      1fr
      1fr;

  gap: 50px;

  margin-bottom: 60px;


}

/* =========================================================
COMPANY COLUMN
========================================================= */

.dm-footer-logo {


  font-size: 1rem;

  font-weight: 700;

  margin-bottom: 20px;

  color:
      var(--color-text-main);


}

.dm-footer-text {


  max-width: 340px;

  color: var(--color-text-secondary);

  line-height: 1.8;


}

/* =========================================================
FOOTER COLUMNS
========================================================= */

.dm-footer-column {


  display: flex;

  flex-direction: column;


}

.dm-footer-column h4 {


  margin-bottom: 20px;

  color: var(--color-text-main);

  font-size: 1rem;

  font-weight: 700;


}

.dm-footer-column a,
.dm-footer-column span {


  color:
      var(--color-text-secondary);

  margin-bottom: 14px;

  transition:
      all .3s ease;


}

.dm-footer-column a:hover {


  color:
      var(--color-primary);

  transform:
      translateX(4px);


}

/* =========================================================
FOOTER BOTTOM
========================================================= */

.dm-footer-bottom {


  border-top:
      1px solid var(--color-border);

  padding-top: 25px;

  text-align: center;


}

.dm-footer-bottom p {


  color:
      var(--color-text-muted);

  font-size: .95rem;


}

/* =========================================================
TABLET
========================================================= */

@media (max-width: 1024px) {


  .dm-footer-grid {

    grid-template-columns:
        repeat(2, 1fr);

     gap: 40px;

  }


}

/* =========================================================
MOBILE
========================================================= */

@media (max-width: 768px) {


  .dm-footer {

    padding:
        60px 0 25px;

  }

  .dm-footer-grid {

    grid-template-columns:
        1fr;

    gap: 35px;

    text-align: center;

  }

  .dm-footer-column {

    align-items: center;

  }

  .dm-footer-text {

    max-width: 100%;

    margin: 0 auto;

  }

  .dm-footer-column a:hover {

    transform: none;

  }


}
